Hannah and Je together

Friday, 18 May 2012

Kobo Desktop Application for Debian and Ubuntu GNU/Linux

I had Kobo eReader when I was in Canada. I bought two. And it was broken when I was moving down to America. (The display was broken probably by too much pressure) So I could not read the books I purchased.

They have Adroid and iPhone Apps which I cannot afford one. They also have PC and Mac application, but the thing is I use Linux – Ubuntu. I even asked Kobo customer centre  if they have plan to support linux and they said no.

Thankfully, I found an Debian package of Kobo! But it would not install because of a dependency with libzip1. I have libzip2 which is upgraded version of libzip1. In latest Ubuntu 12.04, libzip1 is deleted from the repository which means I cannot even install it. So I just changed the dependencies from libzip1 to libzip2, and it installs fine and works fine.

Here is the new deb file in my Google Drive:

https://docs.google.com/open?id=0B6tNrqQuisVLMGNqVHJwRjNZRzA

캐나다에 있을 때는 코보 전자책을 두개나 갖고 있었는데, 미국으로 이사오면서 망가져버렸다. (심하게 눌려서 액정이 망가져 버렸다) 그래서 내가 돈 주고 산 책들을 읽을 수 없게 되었다.

물론 안드로이드와 아이폰 앱이 있지만, 내가 그런 기기를 살 형편이 안된다. 윈도우즈와 맥용 어플리케이션도 있는데 나는 우분투 리눅스를 쓴다. 리눅스를 지원할 계획이 있는지 고객센터에 물어봤는데, 그럴 계획이 없단다.

고맙게도, 코보의 데비안 패키지를 찾았다! 그런데 libzip1이라는 의존성에 걸려서 설치가 안된다. libzip2는  설치가 되었있는데, 게다가 이건 libzip1보다 업글된 것이데. 최신 우분투인 12.04에서는 libzip1이라는 게 아예 서버에서 사라져버려서 설치할 수도 없다. 그래서 어쩔 수 없이 의존성을 libzip1에서 libzip2로 바꿔버렸다. 그리고는 설치도 작동도 잘 된다.

위의 링크는 내 구글 드라이브에 올려 놓은 코보의 수정판 데비안 패키지다.

Advertisements

Create a free website or blog at WordPress.com.